Skip to main content
GET
/
v1
/
stores
/
{store}
/
subscription-plans
/
{plan}
Get subscription plan
curl --request GET \
  --url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
  "displayName": "Premium Monthly Plan",
  "amountCents": 50000,
  "currencyCode": "COP",
  "billingCycleFrequency": "MONTHLY",
  "billingCycleInterval": 1,
  "trialPeriodDays": 7,
  "status": "ACTIVE",
  "createTime": "2024-01-15T10:30:00Z",
  "updateTime": "2024-01-15T10:30:00Z",
  "description": "Access to all premium features"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store
string
required
Example:

"01G65Z755AFWAKHE12NY0CQ9FH"

plan
string
required
Example:

"01JNRVWWHH68E76V3TMFFT6GHJ"

Response

200 - application/json

Successfully fetched subscription plan.

name
string
required

Subscription plan's resource name

Example:

"stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ"

displayName
string
required

Display name of the plan

Example:

"Premium Monthly Plan"

amountCents
number
required

Amount in cents

Example:

50000

currencyCode
string
required

Currency code

Example:

"COP"

billingCycleFrequency
enum<string>
required

Billing cycle frequency

Available options:
BILLING_FREQUENCY_UNSPECIFIED,
MONTHLY,
WEEKLY
Example:

"MONTHLY"

billingCycleInterval
number
required

Billing cycle interval

Example:

1

trialPeriodDays
number
required

Trial period in days

Example:

7

status
enum<string>
required

Plan status

Available options:
STATUS_UNSPECIFIED,
ACTIVE,
INACTIVE,
ARCHIVED
Example:

"ACTIVE"

createTime
string
required

Creation timestamp

Example:

"2024-01-15T10:30:00Z"

updateTime
string
required

Last update timestamp

Example:

"2024-01-15T10:30:00Z"

description
string

Plan description

Example:

"Access to all premium features"